ServerEvents.recipes(event => {

event.recipes.create.compacting('kubejs:mcnamin_p_pack',['8x kubejs:mcnamin_p','design_decor:cardboard_sheet'])

event.recipes.create.cutting('8x kubejs:mcnamin_p','kubejs:mcnamin_p_pack')

let inter = 'kubejs:incomplete_mcnamin_p'

event.recipes.create.sequenced_assembly([
 Item.of('kubejs:mcnamin_p')
],'rubber_duck:rubber_duck_item',[
 event.recipes.createCutting(inter,inter),
 event.recipes.createDeploying(inter,[inter,'rubber_duck:rubber_duck_item']),
 event.recipes.createDeploying(inter,[inter,'rubber_duck:rubber_duck_item']),
 event.recipes.createFilling(inter,[inter,Fluid.of('kubejs:fluid_ominous', 50)]),
 event.recipes.createPressing(inter,inter)
]).transitionalItem(inter).loops(4)

})